#!/bin/sh -e

version=5.18.0-kali7-parisc64
image_path=/boot/vmlinuz-$version

if [ "$1" != remove ]; then
    exit 0
fi

linux-check-removal $version

if [ -d /etc/kernel/prerm.d ]; then
    DEB_MAINT_PARAMS="$*" run-parts --report --exit-on-error --arg=$version \
	      --arg=$image_path /etc/kernel/prerm.d
fi

exit 0
